#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QWebView>
#include <QWebPage>
#include <QWebFrame>
#include <QWebElement>
#include <QMessageBox>
#include <QMouseEvent>
#include <VDream/Common/VXMLDoc.h>

namespace Ui {
  class Dialog;
}

class Dialog : public QDialog, public VXMLable
{
  Q_OBJECT
  
public:
  explicit Dialog(QWidget *parent = 0);
  ~Dialog();

public:
  virtual void load(VXML xml);
  virtual void save(VXML xml);
  bool clickElement(QWebElement* element);
  
private slots:
  void on_btnGo_clicked();

  void on_webView_loadProgress(int progress);

  void on_btnClick_clicked();

private:
  Ui::Dialog *ui;
};

#endif // DIALOG_H
